Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.customer.jaas
Class TemplateAction

    java.lang.Object
      |
      +--com.beasys.commerce.ebusiness.customer.jaas.TemplateAction

public class TemplateAction
extends java.lang.Object
implements java.security.PrivilegedExceptionAction

Constructor Summary
`TemplateAction(Customer customer, CustomerValue customerValue)`

Method Summary
`java.lang.Object` | `run()` Implement the PrivilegedExceptionAction interface
`void` | `updateCustomer(Customer customer, CustomerValue customerValue)` See the class documentation above.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateAction

    public TemplateAction(Customer customer,
                          CustomerValue customerValue)

Method Detail

### run

    public java.lang.Object run()
                         throws java.lang.Exception

  Implement the PrivilegedExceptionAction interface
  Specified by:
    run in interface java.security.PrivilegedExceptionAction

  Throws:
    java.lang.Exception - thrown by updateCustomer()
  See Also:
    javadocs for exception cases

### updateCustomer

    public void updateCustomer(Customer customer,
                               CustomerValue customerValue)
                        throws java.security.PrivilegedActionException

  See the class documentation above.

  Parameters:
    `pSession` - `PipelineSession` from where it gets `CustomerValue` object.
    `customer` - `Customer` object for current user.
    `customerValue` - `CusotmerValue` object for current user.
  Throws:
    java.security.PrivilegedActionException - if either a RemoteException or a PropertyValidation exception occurs while setting customer properties.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved